Bug 965513 - torque package should be built with PIE flags
torque package should be built with PIE flags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: torque (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Brown
Fedora Extras Quality Assurance
:
: 965514 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 06:17 EDT by Dhiru Kholia
Modified: 2015-06-04 11:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: torque-4.2.10-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-30 11:42:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dhiru Kholia 2013-05-21 06:17:44 EDT
Description of problem:

http://fedoraproject.org/wiki/Packaging:Guidelines#PIE says that "you MUST
enable the PIE compiler flags if your package has suid binaries...".

However, currently torque is not being built with PIE flags. This is a
clear violation of the packaging guidelines.

This issue (in its wider scope) is being discussed at,

https://fedorahosted.org/fesco/ticket/1104

https://lists.fedoraproject.org/pipermail/devel/2013-March/180827.html

Version-Release number of selected component (if applicable):

torque-client-3.0.4-1.fc17.x86_64.rpm

How reproducible:

You can use following programs to check if a package is hardened:

http://people.redhat.com/sgrubb/files/rpm-chksec

OR

https://github.com/kholia/checksec

Steps to Reproduce:

Get scanner.py from https://github.com/kholia/checksec

$ ./scanner.py torque-client-3.0.4-1.fc17.x86_64.rpm
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/chk_tree,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/hostn,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/pbs_tclsh,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/pbsdsh,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-local
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/pbsnodes,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/printjob,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/printserverdb,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/printtracking,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qalter-torque,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qchkpt,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qdel-torque,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qdisable,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qenable,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qgpumode,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qgpureset,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qhold-torque,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qmgr,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qmove,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qmsg,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qorder,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qrerun,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qrls-torque,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qrun,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qselect-torque,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qsig,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qstart,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qstat-torque,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qstop,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qsub-torque,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-local
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/qterm,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/bin/tracejob,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/sbin/momctl,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/sbin/pbs_demux,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-local
torque-client,torque-client-3.0.4-1.fc17.x86_64.rpm,/usr/sbin/pbs_iff,mode=0104755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
Comment 1 Dhiru Kholia 2013-05-21 06:20:55 EDT
*** Bug 965514 has been marked as a duplicate of this bug. ***
Comment 2 Orion Poplawski 2013-08-16 23:01:40 EDT
To use this in your spec, add:

%global _hardened_build 1
Comment 4 Fedora End Of Life 2015-01-09 17:07:41 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Jaroslav Reznik 2015-03-03 11:53:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Fedora Admin XMLRPC Client 2015-04-21 11:11:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 David Brown 2015-05-03 02:21:18 EDT
$ ./scanner.py ~/Downloads/torque-client-4.2.10-2.fc23.x86_64.rpm 
Analyzing /home/dmlb2000/Downloads/torque-client-4.2.10-2.fc23.x86_64.rpm ...
torque-client,torque-client-4.2.10-2.fc23.x86_64.rpm,/usr/bin/chk_tree,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Enabled,PIE=Enabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None,TEMPPATHS=None,DEPS=libtorque.so.2$libmunge.so.2$libxml2.so.2$libz.so.1$libdl.so.2$libcrypto.so.10$libssl.so.10$libpthread.so.0$librt.so.1$libstdc++.so.6$libm.so.6$libgcc_s.so.1$libc.so.6
torque-client,torque-client-4.2.10-2.fc23.x86_64.rpm,/usr/bin/hostn,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Enabled,PIE=Enabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Partial$memcpy,CATEGORY=network-ip,TEMPPATHS=None,DEPS=libtorque.so.2$libmunge.so.2$libxml2.so.2$libz.so.1$libdl.so.2$libcrypto.so.10$libssl.so.10$libpthread.so.0$librt.so.1$libstdc++.so.6$libm.so.6$libgcc_s.so.1$libc.so.6
torque-client,torque-client-4.2.10-2.fc23.x86_64.rpm,/usr/bin/pbs_tclsh,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Enabled,PIE=Enabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Partial$strncpy,CATEGORY=None,TEMPPATHS=None,DEPS=libtorque.so.2$libmunge.so.2$libtcl8.6.so$libxml2.so.2$libz.so.1$libdl.so.2$libcrypto.so.10$libssl.so.10$libpthread.so.0$librt.so.1$libstdc++.so.6$libm.so.6$libgcc_s.so.1$libc.so.6
torque-client,torque-client-4.2.10-2.fc23.x86_64.rpm,/usr/bin/pbsdsh,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Enabled,PIE=Enabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Partial$strncpy$memcpy$fgets,CATEGORY=network-local,TEMPPATHS=None,DEPS=libtorque.so.2$libmunge.so.2$libxml2.so.2$libz.so.1$libdl.so.2$libcrypto.so.10$libssl.so.10$libpthread.so.0$librt.so.1$libstdc++.so.6$libm.so.6$libgcc_s.so.1$libc.so.6
...

Looks like this is still an issue in latest fedora rawhide I've got building... will take a look at this soon.  Thanks.
Comment 8 David Brown 2015-05-03 02:22:47 EDT
Or is the output good output?

[dmlb2000@uber-gamer checksec]$ ./scanner.py ~/Downloads/torque-client-4.2.10-2.fc23.x86_64.rpm | grep PIE=Disabled
Analyzing /home/dmlb2000/Downloads/torque-client-4.2.10-2.fc23.x86_64.rpm ...
[dmlb2000@uber-gamer checksec]$
Comment 9 Dhiru Kholia 2015-05-03 04:13:48 EDT
Seems good to me (I haven't run the scanner.py myself) :-)
Comment 10 Fedora Update System 2015-05-19 15:46:43 EDT
torque-4.2.10-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/torque-4.2.10-3.el5
Comment 11 Fedora Update System 2015-05-19 15:47:48 EDT
torque-4.2.10-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/torque-4.2.10-3.el6
Comment 12 Fedora Update System 2015-05-19 15:48:39 EDT
torque-4.2.10-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/torque-4.2.10-3.el7
Comment 13 Fedora Update System 2015-05-19 15:49:18 EDT
torque-4.2.10-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/torque-4.2.10-3.fc21
Comment 14 Fedora Update System 2015-05-19 15:55:37 EDT
torque-4.2.10-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/torque-4.2.10-3.fc20
Comment 15 Fedora Update System 2015-05-19 15:56:14 EDT
torque-4.2.10-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/torque-4.2.10-3.fc22
Comment 16 Fedora Update System 2015-05-19 22:53:31 EDT
Package torque-4.2.10-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing torque-4.2.10-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8544/torque-4.2.10-3.fc22
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2015-05-30 11:42:27 EDT
torque-4.2.10-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-05-30 11:45:05 EDT
torque-4.2.10-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-05-30 11:54:23 EDT
torque-4.2.10-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-06-04 11:55:59 EDT
torque-4.2.10-3.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-06-04 11:56:29 EDT
torque-4.2.10-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-06-04 11:57:08 EDT
torque-4.2.10-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.